@import url('../../FW/css/root.css');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700&display=swap');

h1 {
    color: var(--primario-tyc);
    text-align: center;
    max-width: 80%;
    font-weight: 500;
}

body {
    color: var(--negro);
    background-color: var(--fondo-tyc);
    font-family: 'Lato', sans-serif;
}

/*.btnNormal_M {
    background-color: var(--primario-tyc) !important;
    border: 1px solid var(--primario-tyc) !important;
    cursor: pointer;
}

[btnNormal_M_deshabilitado = "1"] {
    background-color: var(--gris-claro) !important;
    color: var(--blanco) !important
}

    [btnNormal_M_deshabilitado = "1"]:hover {
        background-color: var(--gris-claro) !important;
        color: var(--blanco) !important
    }

.btnNormal_V {
    border-color: var(--primario-tyc) !important;
    color: var(--primario-tyc) !important;
    cursor: pointer;
}*/

.box-product {
    color: var(--negro);
    gap: 0;
}

.prestamo-container {
    background-color: var(--blanco);
    width: 100%;
    padding: 1.5rem;
    border-radius: 10px;
    border: 1px solid #AFF9E1;
}

.prestamo-info {
    display: flex;
    width: 100%;
    justify-content: space-between;
    border-bottom: 1px solid var(--primario-tyc);
}

    .prestamo-info p {
        margin: 0.4rem 10px;
    }

    .prestamo-info:last-child {
        border-bottom: none
    }

.tasas-container {
    display: flex;
    flex-wrap: wrap;
    width: 90%;
    gap: 1rem;
    justify-content: center;
}

.tasas {
    display: flex;
    flex-direction: column;
    padding: 0.6rem 1rem;
    border: 1px solid var(--primario-tyc);
    border-radius: 10px;
    width: 10rem;
    align-items: center;
}

    .tasas:last-child {
        background-color: #AFF9E1;
    }

    .tasas p {
        margin: 0;
        font-size: 12px;
    }

input:not([type]), input[type=text], input[type=number], input[type=password], input[type=date] {
    border: 1.5px solid var(--primario-tyc);
    color: var(--negro);
}

    input[type=text]::placeholder {
        color: var(--gris-claro)
    }

.btnDescargar {
    margin: 4rem 0 1rem 0;
    min-width: 16rem;
    padding: 10px;
    background-color: var(--primario-tyc);
    border-radius: 12px;
    color: var(--blanco);
    text-align: center;
    cursor: pointer;
}

input[type='checkbox'] {
    cursor: pointer;
}

.icon {
    position: relative;
    cursor: pointer;
}

    .icon span {
        background-color: #00FEB5;
        width: 1rem;
        border-radius: 12px;
        display: flex;
        height: 1rem;
        justify-content: center;
        align-items: center;
        color: var(--blanco);
    }

.popup {
    display: none;
    position: absolute;
    background-color: #AFF9E1;
    padding: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 1;
    min-width: 15rem;
    margin-top: 5px;
    border-radius: 12px;
    text-align: center;
}

.icon:hover .popup {
    display: block;
}

/* Track 
::-webkit-scrollbar-track {
    background: var(--primario-tyc);
}*/

/*Handle*/
::-webkit-scrollbar-thumb {
    background: var(--primario-tyc);
}

/*Handle on hover*/
::-webkit-scrollbar-thumb:hover {
    background: var(--primario-tyc);
}

.ok_button {
    background-color: var(--primario-tyc) !important;
    outline: 2px solid var(--primario-tyc) !important;
}

/*.overlay_bloqueo {
    background: radial-gradient(farthest-side,var(--primario-tyc) 94%,#0000) top/8px 8px no-repeat, conic-gradient(#0000, var(--primario-tyc)) !important;
}

.overlay_bloqueo_msg {
    color: var(--primario-tyc) !important;
}*/